Несколько проблем в COWS CGI Online Worldweb Shopping

Дата публикации:
27.01.2002
Всего просмотров:
756
Опасность:
Наличие исправления:
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
Нет данных
Вектор эксплуатации:
Воздействие:
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
Описание: COWS CGI Online Worldweb Shopping – коммерческая система покупок, написаная в Perl. COWS работает на большинстве Linux и Unix вариантах также как и на операционных системах Windows Microsoft.

В программе найдено несколько уязвимостей:

1. Некоторая чувствительная информация не зашифрована COWS. Местный нападающий может рассматривать информацию о пользователях службы магазина (включая личную информацию и идентификационные данные).

2. COWS уязвим к межсайтовому скриптингу. Нападающий может эксплуатировать эту ситуацию, создавая злонамеренную ссылку, содержащую код сценария. Когда законный пользователь службы просматривает ссылку, злонамеренный код сценария будет выполнен на пользователе в контексте сайта, выполняющем уязвимое программное обеспечение. Такие нападения могут использоваться, чтобы захватить опознавательные данные на основе куки от законных пользователей.

Пример:

/diagnose.cgi?<script>MALICIOUS SCRIPT</script>
/compatible.cgi?<script>MALICIOUS SCRIPT</script>

Уязвимость найдена в COWS CGI Online Worldweb Shopping 1.1

Ссылки: Источник
http://www.cows.co.uk/

или введите имя

CAPTCHA